<?php
  
/*
----------
Кто онлайн
----------
*/

REQUIRE (ROOT.'/modules/users/plugins/main.php'); 

/*
---------------
Заголовок сайта
---------------
*/  

ECHO "<div class='list'><center><b>".LG(CONFIG('TITLE'))."</b></center></div>"; 

/*
------------------------------
Подгрузка основных компонентов
------------------------------
*/

DIRECT::COMPONENTS(ROOT.'/main/components/index/', 0);

/*
--------------
Вывод новостей
--------------
*/

REQUIRE (ROOT.'/modules/news/plugins/main.php');

/*
-------------
Разделы сайта
-------------
*/

ECHO "<div class='list-body'>";

ECHO "<ul class='main-body'>";

$result = SCANDIR(ROOT.'/main/components/big/', SCANDIR_SORT_ASCENDING);

FOR ($i = 0; $i < COUNT($result); $i++){
  
  IF (PREG_MATCH('#\.php$#i',$result[$i])){ 
    
    REQUIRE (ROOT.'/main/components/big/'.$result[$i]);
  
  }

}

ECHO "</ul>";

ECHO "</div>";

/*
----------
Вывод фото
----------
*/

REQUIRE (ROOT.'/modules/photos/plugins/main.php');

/*
------------
Вывод блогов
------------
*/

REQUIRE (ROOT.'/modules/blogs/plugins/main.php');

/*
-----------
Вывод видео
-----------
*/

REQUIRE (ROOT.'/modules/videos/plugins/main.php');

/*
-------------------------------
Подгрузка остальных компонентов
-------------------------------
*/

DIRECT::COMPONENTS(ROOT.'/main/components/_index/', 0);
  
?>